EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerBlobs_StartUpload',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Initiates a multipart blob upload.'
GO

IF OBJECT_ID('[DockerBlobs_StartUpload]') IS NOT NULL DROP PROCEDURE [DockerBlobs_StartUpload]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerBlobs_StartUpload]
(
	@Feed_Id INT,
	@Upload_Id VARCHAR(50)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	INSERT INTO [DockerBlobUploads]
	(
		[Feed_Id],
		[Upload_Id],
		[BytesReceived_Count],
		[LatestChunkReceived_Date]
	)
	VALUES
	(
		@Feed_Id,
		@Upload_Id,
		0,
		GETUTCDATE()
	)

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [DockerBlobs_StartUpload] TO [ProGetUser_Role]
GO