EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NpmConnectors_SearchPackages',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'NpmConnectorPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the npm connector packages which match the specified criteria.'
GO

IF OBJECT_ID('[NpmConnectors_SearchPackages]') IS NOT NULL DROP PROCEDURE [NpmConnectors_SearchPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NpmConnectors_SearchPackages]
(
	@Connector_Id INT,
	@SearchTerm_Text VARCHAR(MAX),
	@ModifiedAfter_Date DATETIME,
	@MaxResults_Count INT
)
AS BEGIN

	SET NOCOUNT ON

	IF @MaxResults_Count IS NOT NULL
		SET ROWCOUNT @MaxResults_Count

	SELECT *
	  FROM [NpmConnectorPackages]
	 WHERE [Connector_Id] = @Connector_Id
	   AND (@ModifiedAfter_Date IS NULL OR [Modified_Date] >= @ModifiedAfter_Date)
	   AND (@SearchTerm_Text IS NULL OR [Package_Name] LIKE ('%' + @SearchTerm_Text + '%'))
	 ORDER BY [Modified_Date] DESC

END
GO

GRANT EXECUTE ON [NpmConnectors_SearchPackages] TO [ProGetUser_Role]
GO
