EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NuGetPackages_IncrementDownloadCount',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ '',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Increments the download count of a local or cached remote package.'
GO

IF OBJECT_ID('[NuGetPackages_IncrementDownloadCount]') IS NOT NULL DROP PROCEDURE [NuGetPackages_IncrementDownloadCount]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NuGetPackages_IncrementDownloadCount]
(
	@Feed_Id INT,
	@Package_Id NVARCHAR(255),
	@Version_Text NVARCHAR(50)
)
AS
BEGIN

	SET NOCOUNT ON

	UPDATE [NuGetPackages]
	   SET [Download_Count] = [Download_Count] + 1,
	       [LastDownloaded_Date] = GETUTCDATE()
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Package_Id] = @Package_Id
	   AND [Version_Text] = @Version_Text

END
GO

GRANT EXECUTE ON [NuGetPackages_IncrementDownloadCount] TO [ProGetUser_Role]
GO
